org.apache.xalan.xsltc.dom

## Class UnionIterator

- java.lang.Object
- - org.apache.xml.dtm.ref.DTMAxisIteratorBase
  - - org.apache.xalan.xsltc.dom.MultiValuedNodeHeapIterator
    - - org.apache.xalan.xsltc.dom.UnionIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

    public final class UnionIterator
    extends MultiValuedNodeHeapIterator

UnionIterator takes a set of NodeIterators and produces a merged NodeSet in document order with duplicates removed The individual iterators are supposed to generate nodes in document order

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.xalan.xsltc.dom.MultiValuedNodeHeapIterator

`MultiValuedNodeHeapIterator.HeapNode`

### Field Summary

### Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator

`END`

### Constructor Summary

Constructors
Constructor and Description
`UnionIterator(DOM dom)`

### Method Summary

Methods
`UnionIterator` `addIterator(DTMAxisIterator iterator)`

### Methods inherited from class org.apache.xalan.xsltc.dom.MultiValuedNodeHeapIterator

`cloneIterator, gotoMark, next, reset, setMark, setStartNode`

### Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase

`getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, setRestartable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnionIterator

    public UnionIterator(DOM dom)

### Method Detail

#### addIterator

    public UnionIterator addIterator(DTMAxisIterator iterator)